%define pypi_name Attic
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so


Name:           attic
Version:        0.16
Release:        %mkrel 4
Group:          Archiving/Backup
Summary:        Deduplicated backups

License:        BSD
URL:            https://attic-backup.org/
Source0:        https://pypi.python.org/packages/source/A/Attic/Attic-%{version}.tar.gz

BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(sphinx)
BuildRequires:  pythonegg(3)(setuptools)
BuildRequires:  pythonegg(3)(msgpack-python)
BuildRequires:  pkgconfig(openssl)
BuildRequires:  libacl-devel
BuildRequires:  pythonegg(3)(cython)
BuildRequires:  pythonegg(3)(sphinx-rtd-theme)
Recommends:     pythonegg(3)(llfuse)

%description
Attic is a deduplicating backup program written in Python. The main
goal of Attic is to provide an efficient and secure way to backup
data. The data deduplication technique used makes Attic suitable for
daily backups since only actual changes are stored.


%prep
%setup -q -n %{pypi_name}-%{version}
# remove .c files so cython rebuild them
rm -f {attic/crypto.c,attic/chunker.c,attic/hashindex.c,attic/platform_linux.c}

%build
%py3_build


%install
%py3_install

# generate html docs 
PYTHONPATH=. sphinx-build-%{python3_version} docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}


%files
%doc html README.rst LICENSE
%{_bindir}/attic
%{python3_sitearch}/%{name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info



%changelog
* Sat Feb 13 2016 umeabot <umeabot> 0.16-4.mga6
+ Revision: 959543
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.16-3.mga6
+ Revision: 887276
- add missing BuildRequires on python3-sphinx_rtd_theme
- rebuild for python 3.5

* Wed Sep 30 2015 philippem <philippem> 0.16-2.mga6
+ Revision: 885304
- use cython to rebuild c files

* Tue Sep 29 2015 philippem <philippem> 0.16-1.mga6
+ Revision: 885177
- imported package attic

